function::print_ustack
Prev | Chapter 2. Context Functions | Next

## Name

function::print_ustack — Print out stack for the current task from string.

## Synopsis

        print_ustack(stk:string)

## Arguments

`stk`

  String with list of hexadecimal addresses for the current task.

## Description

Perform a symbolic lookup of the addresses in the given string, which is assumed to be the result of a prior call to `ubacktrace` for the current task.

Print one line per address, including the address, the name of the function containing the address, and an estimate of its position within that function. Return nothing.

## NOTE

it is recommended to use `print_usyms` instead of this function.

Prev | Up | Next
function::print_ubacktrace_fileline | Home | function::print_usyms